---
document: modulemd-defaults
version: 1
data:
  module: satellite-5-client
  stream: "1.0"
  profiles:
    1.0: [common]
...
---
document: modulemd
version: 2
data:
  name: satellite-5-client
  stream: "1.0"
  version: 8090020240403124127
  context: cdc1202b
  arch: x86_64
  summary: Red Hat Satellite 5 client packages
  description: >-
    Red Hat Satellite 5 client packages provide programs and libraries to allow your
    system to receive software updates from Red Hat Satellite 5.
  license:
    module:
    - MIT
    content:
    - GPLv2
  dependencies:
  - buildrequires:
      platform: [el8.1.0]
    requires:
      platform: [el8]
  references:
    community: https://github.com/spacewalkproject/spacewalk/
    documentation: https://access.redhat.com/documentation/en-us/red_hat_satellite/5.8/
    tracker: https://cloudlinux.zendesk.com/
  profiles:
    common:
      rpms:
      - dnf-plugin-spacewalk
      - rhn-client-tools
      - rhn-setup
      - rhnlib
      - rhnsd
    gui:
      rpms:
      - dnf-plugin-spacewalk
      - rhn-client-tools
      - rhn-setup
      - rhn-setup-gnome
      - rhnlib
      - rhnsd
  components:
    rpms:
      dnf-plugin-spacewalk:
        rationale: DNF plugin for communication with Red Hat Satellite 5.
        ref: dnf-plugin-spacewalk-2.8.5-11.module+el8.1.0+3455+3ddf2832.src.rpm
        buildorder: 10
        arches: [i686, x86_64]
      rhn-client-tools:
        rationale: Binaries to allow system to receive software updates from Red Hat
          Satellite 5.
        ref: rhn-client-tools-2.8.16-13.module+el8.1.0+3455+3ddf2832.src.rpm
        buildorder: 10
        arches: [i686, x86_64]
      rhnlib:
        rationale: Libraries to allow system to receive software updates from Red
          Hat Satellite 5.
        ref: rhnlib-2.8.6-8.module+el8.1.0+3455+3ddf2832.src.rpm
        buildorder: 10
        arches: [i686, x86_64]
      rhnsd:
        rationale: Red Hat Satellite update agent.
        ref: rhnsd-5.0.35-3.module+el8.1.0+3455+3ddf2832.src.rpm
        buildorder: 10
        arches: [i686, x86_64]
  artifacts:
    rpms:
    - dnf-plugin-spacewalk-1:2.8.5-11.module_el8.6.0+6599+3ddf2832.cloudlinux.2.src
    - dnf-plugin-spacewalk-1:2.8.5-11.module_el8.7.0+6623+3ddf2832.cloudlinux.2.noarch
    - dnf-plugin-spacewalk-1:2.8.5-11.module_el8.7.0+6623+3ddf2832.cloudlinux.2.src
    - dnf-plugin-spacewalk-1:2.8.5-11.module_el8.9.0+6803+3ddf2832.cloudlinux.5.noarch
    - dnf-plugin-spacewalk-1:2.8.5-11.module_el8.9.0+6803+3ddf2832.cloudlinux.5.src
    - python3-dnf-plugin-spacewalk-1:2.8.5-11.module_el8.7.0+6623+3ddf2832.cloudlinux.2.noarch
    - python3-dnf-plugin-spacewalk-1:2.8.5-11.module_el8.9.0+6803+3ddf2832.cloudlinux.5.noarch
    - python3-rhn-check-1:2.11.2-1.module_el8.9.0+6803+3ddf2832.cloudlinux.x86_64
    - python3-rhn-check-1:2.8.16-14.module_el8.7.0+6623+3ddf2832.cloudlinux.15.x86_64
    - python3-rhn-client-tools-1:2.11.2-1.module_el8.9.0+6803+3ddf2832.cloudlinux.x86_64
    - python3-rhn-client-tools-1:2.8.16-14.module_el8.7.0+6623+3ddf2832.cloudlinux.15.x86_64
    - python3-rhn-setup-1:2.11.2-1.module_el8.9.0+6803+3ddf2832.cloudlinux.x86_64
    - python3-rhn-setup-1:2.8.16-14.module_el8.7.0+6623+3ddf2832.cloudlinux.15.x86_64
    - python3-rhn-setup-gnome-1:2.11.2-1.module_el8.9.0+6803+3ddf2832.cloudlinux.x86_64
    - python3-rhn-setup-gnome-1:2.8.16-14.module_el8.7.0+6623+3ddf2832.cloudlinux.15.x86_64
    - python3-rhnlib-0:2.8.6-8.module_el8.7.0+6623+3ddf2832.noarch
    - python3-rhnlib-0:2.8.6-8.module_el8.9.0+6803+3ddf2832.noarch
    - rhn-check-1:2.11.2-1.module_el8.9.0+6803+3ddf2832.cloudlinux.x86_64
    - rhn-check-1:2.8.16-14.module_el8.7.0+6623+3ddf2832.cloudlinux.15.x86_64
    - rhn-client-tools-1:2.11.2-1.module_el8.9.0+6803+3ddf2832.cloudlinux.src
    - rhn-client-tools-1:2.11.2-1.module_el8.9.0+6803+3ddf2832.cloudlinux.x86_64
    - rhn-client-tools-1:2.8.16-14.module_el8.6.0+6599+3ddf2832.cloudlinux.14.src
    - rhn-client-tools-1:2.8.16-14.module_el8.7.0+6623+3ddf2832.cloudlinux.15.src
    - rhn-client-tools-1:2.8.16-14.module_el8.7.0+6623+3ddf2832.cloudlinux.15.x86_64
    - rhn-setup-1:2.11.2-1.module_el8.9.0+6803+3ddf2832.cloudlinux.x86_64
    - rhn-setup-1:2.8.16-14.module_el8.7.0+6623+3ddf2832.cloudlinux.15.x86_64
    - rhn-setup-gnome-1:2.11.2-1.module_el8.9.0+6803+3ddf2832.cloudlinux.x86_64
    - rhn-setup-gnome-1:2.8.16-14.module_el8.7.0+6623+3ddf2832.cloudlinux.15.x86_64
    - rhnlib-0:2.8.6-8.module_el8.6.0+6599+3ddf2832.src
    - rhnlib-0:2.8.6-8.module_el8.7.0+6623+3ddf2832.noarch
    - rhnlib-0:2.8.6-8.module_el8.7.0+6623+3ddf2832.src
    - rhnlib-0:2.8.6-8.module_el8.9.0+6803+3ddf2832.noarch
    - rhnlib-0:2.8.6-8.module_el8.9.0+6803+3ddf2832.src
    - rhnsd-0:5.0.35-3.module_el8.6.0+6599+3ddf2832.src
    - rhnsd-0:5.0.35-3.module_el8.7.0+6623+3ddf2832.src
    - rhnsd-0:5.0.35-3.module_el8.7.0+6623+3ddf2832.x86_64
    - rhnsd-0:5.0.35-3.module_el8.9.0+6803+3ddf2832.src
    - rhnsd-0:5.0.35-3.module_el8.9.0+6803+3ddf2832.x86_64
    - rhnsd-debuginfo-0:5.0.35-3.module_el8.7.0+6623+3ddf2832.x86_64
    - rhnsd-debuginfo-0:5.0.35-3.module_el8.9.0+6803+3ddf2832.x86_64
    - rhnsd-debugsource-0:5.0.35-3.module_el8.7.0+6623+3ddf2832.x86_64
    - rhnsd-debugsource-0:5.0.35-3.module_el8.9.0+6803+3ddf2832.x86_64
...
---
document: modulemd
version: 2
data:
  name: satellite-5-client
  stream: "1.0"
  version: 8100020250226112831
  context: e155f54d
  arch: x86_64
  summary: Red Hat Satellite 5 client packages
  description: >-
    Red Hat Satellite 5 client packages provide programs and libraries to allow your
    system to receive software updates from Red Hat Satellite 5.
  license:
    module:
    - MIT
    content:
    - GPLv2
  dependencies:
  - buildrequires:
      platform: [el8.10.0]
    requires:
      platform: [el8]
  references:
    community: https://github.com/spacewalkproject/spacewalk/
    documentation: https://access.redhat.com/documentation/en-us/red_hat_satellite/5.8/
    tracker: https://cloudlinux.zendesk.com/
  profiles:
    common:
      rpms:
      - dnf-plugin-spacewalk
      - rhn-client-tools
      - rhn-setup
      - rhnlib
      - rhnsd
    gui:
      rpms:
      - dnf-plugin-spacewalk
      - rhn-client-tools
      - rhn-setup
      - rhn-setup-gnome
      - rhnlib
      - rhnsd
  components:
    rpms:
      dnf-plugin-spacewalk:
        rationale: DNF plugin for communication with Red Hat Satellite 5.
        buildorder: 10
        arches: [x86_64]
      rhn-client-tools:
        rationale: Binaries to allow system to receive software updates from Red Hat
          Satellite 5.
        buildorder: 10
        arches: [x86_64]
      rhnlib:
        rationale: Libraries to allow system to receive software updates from Red
          Hat Satellite 5.
        buildorder: 10
        arches: [x86_64]
      rhnsd:
        rationale: Red Hat Satellite update agent.
        buildorder: 10
        arches: [x86_64]
  artifacts:
    rpms:
    - dnf-plugin-spacewalk-1:2.8.5-11.module_el8.10.0+6858+3ddf2832.cloudlinux.5.noarch
    - dnf-plugin-spacewalk-1:2.8.5-11.module_el8.10.0+6858+3ddf2832.cloudlinux.5.src
    - python3-dnf-plugin-spacewalk-1:2.8.5-11.module_el8.10.0+6858+3ddf2832.cloudlinux.5.noarch
    - python3-rhn-check-1:2.12.3-1.module_el8.10.0+6902+04ebbbe8.cloudlinux.x86_64
    - python3-rhn-check-1:2.12.4-1.module_el8.10.0+6904+f35044bf.cloudlinux.x86_64
    - python3-rhn-client-tools-1:2.12.3-1.module_el8.10.0+6902+04ebbbe8.cloudlinux.x86_64
    - python3-rhn-client-tools-1:2.12.4-1.module_el8.10.0+6904+f35044bf.cloudlinux.x86_64
    - python3-rhn-setup-1:2.12.3-1.module_el8.10.0+6902+04ebbbe8.cloudlinux.x86_64
    - python3-rhn-setup-1:2.12.4-1.module_el8.10.0+6904+f35044bf.cloudlinux.x86_64
    - python3-rhn-setup-gnome-1:2.12.3-1.module_el8.10.0+6902+04ebbbe8.cloudlinux.x86_64
    - python3-rhn-setup-gnome-1:2.12.4-1.module_el8.10.0+6904+f35044bf.cloudlinux.x86_64
    - python3-rhnlib-0:2.8.6-8.module_el8.10.0+6858+3ddf2832.noarch
    - rhn-check-1:2.12.3-1.module_el8.10.0+6902+04ebbbe8.cloudlinux.x86_64
    - rhn-check-1:2.12.4-1.module_el8.10.0+6904+f35044bf.cloudlinux.x86_64
    - rhn-client-tools-1:2.12.3-1.module_el8.10.0+6902+04ebbbe8.cloudlinux.src
    - rhn-client-tools-1:2.12.3-1.module_el8.10.0+6902+04ebbbe8.cloudlinux.x86_64
    - rhn-client-tools-1:2.12.4-1.module_el8.10.0+6904+f35044bf.cloudlinux.src
    - rhn-client-tools-1:2.12.4-1.module_el8.10.0+6904+f35044bf.cloudlinux.x86_64
    - rhn-setup-1:2.12.3-1.module_el8.10.0+6902+04ebbbe8.cloudlinux.x86_64
    - rhn-setup-1:2.12.4-1.module_el8.10.0+6904+f35044bf.cloudlinux.x86_64
    - rhn-setup-gnome-1:2.12.3-1.module_el8.10.0+6902+04ebbbe8.cloudlinux.x86_64
    - rhn-setup-gnome-1:2.12.4-1.module_el8.10.0+6904+f35044bf.cloudlinux.x86_64
    - rhnlib-0:2.8.6-8.module_el8.10.0+6858+3ddf2832.noarch
    - rhnlib-0:2.8.6-8.module_el8.10.0+6858+3ddf2832.src
    - rhnsd-0:5.0.35-3.module_el8.10.0+6858+3ddf2832.src
    - rhnsd-0:5.0.35-3.module_el8.10.0+6858+3ddf2832.x86_64
    - rhnsd-debuginfo-0:5.0.35-3.module_el8.10.0+6858+3ddf2832.x86_64
    - rhnsd-debugsource-0:5.0.35-3.module_el8.10.0+6858+3ddf2832.x86_64
...

